# Syntax

## Get positions collection

```
GET /v{version}/accounts/{accountId}/positions
```

### Description

This API endpoint enables you to retrieve all outstanding positions of a particular trading account.

### Parameters

| Type       | Name                           | Description                                                                                                                                 | Schema          | Default |
| ---------- | ------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------- | --------------- | ------- |
| **Header** | **Authorization**   *required* | This is the authorization token that you retrieved from the first endpoint (/token).                                                        | string          |         |
| **Header** | **Et-App-Key**   *required*    | This is your app’s unique key that can be retrieved from the BO Companies widget in Autoshares Trader.                                      | string          |         |
| **Path**   | **accountId**   *required*     | This is the unique identifier of the trading account whose outstanding positions need to be retrieved.                                      | integer (int32) |         |
| **Path**   | **version**   *required*       | This is the version of the API. Unless you have multiple versions of Autoshares Trader’s API deployed in your environment, leave it at 1.0. | string          | `"1"`   |
| **Query**  | **desc**   *required*          | Is descendant                                                                                                                               | boolean         |         |
| **Query**  | **filter**   *optional*        | Positions filter query                                                                                                                      | string (String) |         |
| **Query**  | **pageNumber**   *required*    | Page number                                                                                                                                 | integer (int32) |         |
| **Query**  | **pageSize**   *required*      | Page size                                                                                                                                   | integer (int32) |         |
| **Query**  | **sortField**   *required*     | Sort collection by field                                                                                                                    | string          |         |

### Responses

| HTTP Code | Description                                                                                          | Schema                                                             |
| --------- | ---------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------ |
| **200**   | Successful request, JSON data containing outstanding positions of the specified account is returned. | [PagingResult\[PositionResource\]](#pagingresult-positionresource) |
| **401**   | The access level of the provided authorization token is not sufficient to perform this operation.    | No Content                                                         |
| **403**   | The provided Et-App-Key is incorrect.                                                                | No Content                                                         |
| **422**   | A validation error occurred while processing the request.                                            | No Content                                                         |
| **500**   | Internal server error                                                                                | No Content                                                         |

### Produces

* `application/json`
* `text/json`
